#!/bin/bash

echo 'Add chain UNAS_L2TP_INPUT to table filter...'
{ iptables -t filter -L UNAS_L2TP_INPUT || iptables -t filter -N UNAS_L2TP_INPUT; } >/dev/null 2>&1
echo 'Append chain UNAS_L2TP_INPUT to chain INPUT...'
{ iptables -t filter -C INPUT -j UNAS_L2TP_INPUT || iptables -t filter -A INPUT -j UNAS_L2TP_INPUT; } >/dev/null 2>&1

echo 'Add chain UNAS_L2TP_FORWARD to table filter...'
{ iptables -t filter -L UNAS_L2TP_FORWARD || iptables -t filter -N UNAS_L2TP_FORWARD; } >/dev/null 2>&1
echo 'Append chain UNAS_L2TP_FORWARD to chain FORWARD...'
{ iptables -t filter -C FORWARD -j UNAS_L2TP_FORWARD || iptables -t filter -A FORWARD -j UNAS_L2TP_FORWARD; } >/dev/null 2>&1

echo 'Add chain UNAS_L2TP_POSTROUTING to table nat...'
{ iptables -t nat -L UNAS_L2TP_POSTROUTING || iptables -t nat -N UNAS_L2TP_POSTROUTING; } >/dev/null 2>&1
echo 'Append chain UNAS_L2TP_POSTROUTING to chain POSTROUTING...'
{ iptables -t nat -C POSTROUTING -j UNAS_L2TP_POSTROUTING || iptables -t nat -A POSTROUTING -j UNAS_L2TP_POSTROUTING; } >/dev/null 2>&1
