#!/bin/bash

echo 'Delete chain UNAS_L2TP_INPUT from chain INPUT...'
{ iptables -t filter -C INPUT -j UNAS_L2TP_INPUT && iptables -t filter -D INPUT -j UNAS_L2TP_INPUT; } >/dev/null 2>&1
echo 'Delete chain UNAS_L2TP_INPUT from table filter...'
{ iptables -t filter -L UNAS_L2TP_INPUT && iptables -t filter -X UNAS_L2TP_INPUT; } >/dev/null 2>&1

echo 'Delete chain UNAS_L2TP_FORWARD from chain FORWARD...'
{ iptables -t filter -C FORWARD -j UNAS_L2TP_FORWARD && iptables -t filter -D FORWARD -j UNAS_L2TP_FORWARD; } >/dev/null 2>&1
echo 'Delete chain UNAS_L2TP_FORWARD from table filter...'
{ iptables -t filter -L UNAS_L2TP_FORWARD && iptables -t filter -X UNAS_L2TP_FORWARD; } >/dev/null 2>&1

echo 'Delete chain UNAS_L2TP_POSTROUTING from chain POSTROUTING...'
{ iptables -t nat -C POSTROUTING -j UNAS_L2TP_POSTROUTING && iptables -t nat -D POSTROUTING -j UNAS_L2TP_POSTROUTING; } >/dev/null 2>&1
echo 'Delete chain UNAS_L2TP_POSTROUTING from table nat...'
{ iptables -t nat -L UNAS_L2TP_POSTROUTING && iptables -t nat -X UNAS_L2TP_POSTROUTING; } >/dev/null 2>&1
